package com.brilliance.isc.common.umdmod.vo;

import com.brilliance.isc.bo.Smh;
import com.brilliance.isc.bo.Spt;
import com.brilliance.isc.bo.Umd;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.ArrayList;
import java.util.List;

@JsonInclude(JsonInclude.Include.NON_NULL)
@NoArgsConstructor
@Data
public class UmdSptVo extends AbstractCommonVo {

    private String sptinr;

    private List<Spt> sptList;

    private List<Umd> umdList;

    private Spt spt;

    private Smh smh;
    /**
     * 报文对象
     */
    private Object message;
    /**
     * 报文类型
     */
    private String msgtype;

    private  UmdmodVo umdmodVo;

  public  void reset(){
         if(sptList == null){
             sptList=new ArrayList<>();
         }
         if(umdList == null){
             umdList=new ArrayList<>();
         }
         if(umdmodVo == null){
             umdmodVo=new UmdmodVo();
         }
         umdmodVo.reset();
    }

}
